Index: code/trunk/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/trunk/src/modules/questsystem/GlobalQuest.cc	(revision 7163)
+++ code/trunk/src/modules/questsystem/GlobalQuest.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file GlobalQuest.cc
     @brief Implementation of the GlobalQuest class.
 */
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+
 #include "QuestEffect.h"
 
@@ -84,5 +85,5 @@
     bool GlobalQuest::fail(PlayerInfo* player)
     {
-        if(!this->isFailable(player)) //!< Check whether the Quest can be failed.
+        if(!this->isFailable(player)) // Check whether the Quest can be failed.
         {
             COUT(4) << "A non-completable quest was trying to be failed." << std::endl;
@@ -92,11 +93,9 @@
         Quest::fail(player);
 
-    //! Iterate through all players possessing this Quest.
-    for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-    {
-        QuestEffect::invokeEffects(*it, this->getFailEffectList());
-    }
-
-    return true;
+        // Iterate through all players possessing this Quest.
+        for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
+            QuestEffect::invokeEffects(*it, this->getFailEffectList());
+
+        return true;
     }
 
@@ -113,5 +112,5 @@
     bool GlobalQuest::complete(PlayerInfo* player)
     {
-        if(!this->isCompletable(player)) //!< Check whether the Quest can be completed.
+        if(!this->isCompletable(player)) // Check whether the Quest can be completed.
         {
             COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
@@ -119,13 +118,11 @@
         }
 
-        //! Iterate through all players possessing the Quest.
+        // Iterate through all players possessing the Quest.
         for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
-        {
             QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
-        }
 
         Quest::complete(player);
 
-        QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
+        QuestEffect::invokeEffects(player, this->rewards_); // Invoke reward QuestEffects on the player completing the Quest.
         return true;
     }
@@ -144,7 +141,6 @@
     {
         if(!(this->getParentQuest() == NULL || this->getParentQuest()->isActive(player)))
-        {
-            return false;
-        }
+            return false;
+
         return (this->isInactive(player) && !(this->status_ == QuestStatus::Completed || this->status_ == QuestStatus::Failed));
     }
@@ -191,15 +187,12 @@
     QuestStatus::Value GlobalQuest::getStatus(const PlayerInfo* player) const
     {
-        if(player == NULL) //!< We don't want NULL-Pointers!
-        {
+        //TODO: Replace with assert.
+        if(player == NULL) // We don't want NULL-Pointers!
             ThrowException(Argument, "The input PlayerInfo* is NULL.");
-        }
-
-        //! Find the player.
+
+        // Find the player.
         std::set<PlayerInfo*>::const_iterator it = this->players_.find((PlayerInfo*)(void*)player);
-        if (it != this->players_.end()) //!< If the player was found.
-        {
+        if (it != this->players_.end()) // If the player was found.
             return this->status_;
-        }
 
         return QuestStatus::Inactive;
@@ -219,17 +212,14 @@
     bool GlobalQuest::setStatus(PlayerInfo* player, const QuestStatus::Value & status)
     {
-        if(player == NULL) //!< We don't want NULL-Pointers!
-        {
-            return false;
-        }
-
-        //! Find the player.
+        //TODO: Replace with assert.
+        if(player == NULL) // We don't want NULL-Pointers!
+            return false;
+
+        // Find the player.
         std::set<PlayerInfo*>::const_iterator it = this->players_.find(player);
-        if (it == this->players_.end()) //!< Player is not yet in the list.
-        {
-            this->players_.insert(player); //!< Add the player to the set.
-        }
-
-        this->status_ = status; //!< Set the status, which is global, remember...?
+        if (it == this->players_.end()) // Player is not yet in the list.
+            this->players_.insert(player); // Add the player to the set.
+
+        this->status_ = status; // Set the status, which is global, remember...?
         return true;
     }
@@ -245,5 +235,6 @@
     bool GlobalQuest::addRewardEffect(QuestEffect* effect)
     {
-        if(effect == NULL) //!< We don't want NULL-Pointers!
+        //TODO: Replace with assert?
+        if(effect == NULL) // We don't want NULL-Pointers!
         {
             COUT(2) << "The reward effect to be added to quest {" << this->getId() << "} was NULL." << std::endl;
@@ -251,5 +242,5 @@
         }
 
-        this->rewards_.push_back(effect); //!< Add the QuestEffect to the list.
+        this->rewards_.push_back(effect); // Add the QuestEffect to the list.
 
         COUT(4) << "Reward effect was added to Quest {" << this->getId() << "}." << std::endl;
@@ -271,7 +262,6 @@
         {
             if(i == 0)
-            {
                return *effect;
-            }
+
             i--;
         }
@@ -279,4 +269,3 @@
     }
 
-
 }
